## GtkCellRendererProgress GtkCellRendererProgress — Renders numbers as progress bars |

## Functions

GtkCellRenderer * | gtk_cell_renderer_progress_new ()

## Properties

gboolean | inverted | Read / Write
int | pulse | Read / Write
char * | text | Read / Write
float | text-xalign | Read / Write
float | text-yalign | Read / Write
int | value | Read / Write

## Types and Values

struct | GtkCellRendererProgress

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GtkCellRendererProgress

## Implemented Interfaces

GtkCellRendererProgress implements GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkCellRendererProgress renders a numeric value as a progress par in a cell. Additionally, it can display a text on top of the progress bar.

The GtkCellRendererProgress cell renderer was added in GTK+ 2.6.

## Functions

### gtk_cell_renderer_progress_new ()

    GtkCellRenderer *
    gtk_cell_renderer_progress_new (void);

Creates a new GtkCellRendererProgress.

#### Returns

the new cell renderer

Since: 2.6

## Types and Values

### struct GtkCellRendererProgress

    struct GtkCellRendererProgress;

## Property Details

### The `“inverted”` property

      “inverted”                 gboolean

Invert the direction in which the progress bar grows.

Owner: GtkCellRendererProgress

Flags: Read / Write

Default value: FALSE

### The `“pulse”` property

      “pulse”                    int

Setting this to a non-negative value causes the cell renderer to enter "activity mode", where a block bounces back and forth to indicate that some progress is made, without specifying exactly how much.

Each increment of the property causes the block to move by a little bit.

To indicate that the activity has not started yet, set the property to zero. To indicate completion, set the property to `G_MAXINT`.

Owner: GtkCellRendererProgress

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 2.12

### The `“text”` property

      “text”                     char *

The "text" property determines the label which will be drawn over the progress bar. Setting this property to `NULL` causes the default label to be displayed. Setting this property to an empty string causes no label to be displayed.

Owner: GtkCellRendererProgress

Flags: Read / Write

Default value: NULL

Since: 2.6

### The `“text-xalign”` property

      “text-xalign”              float

The "text-xalign" property controls the horizontal alignment of the text in the progress bar. Valid values range from 0 (left) to 1 (right). Reserved for RTL layouts.

Owner: GtkCellRendererProgress

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

Since: 2.12

### The `“text-yalign”` property

      “text-yalign”              float

The "text-yalign" property controls the vertical alignment of the text in the progress bar. Valid values range from 0 (top) to 1 (bottom).

Owner: GtkCellRendererProgress

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

Since: 2.12

### The `“value”` property

      “value”                    int

The "value" property determines the percentage to which the progress bar will be "filled in".

Owner: GtkCellRendererProgress

Flags: Read / Write

Allowed values: [0,100]

Default value: 0

Since: 2.6